<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:33 CEST 2019 -->
<title>FBManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBMaintenanceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBManager.html" target="_top">Frames</a></li>
<li><a href="FBManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Class FBManager" class="title">Class FBManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.management.FBManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBManager</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></pre>
<div class="block">The class <code>FBManager</code> is a simple jmx mbean that allows you
 to create and drop databases.  in particular, they can be created and
 dropped using the jboss service lifecycle operations start and stop.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#FBManager--">FBManager</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#FBManager-org.firebirdsql.gds.impl.GDSType-">FBManager</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;type)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#FBManager-java.lang.String-">FBManager</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#close--">close</a></span>()</code>
<div class="block">Alias for <a href="../../../org/firebirdsql/management/FBManagerMBean.html#stop--"><code>FBManagerMBean.stop()</code></a></div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#createDatabase-java.lang.String-java.lang.String-java.lang.String-">createDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#dropDatabase-java.lang.String-java.lang.String-java.lang.String-">dropDatabase</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getDefaultCharacterSet--">getDefaultCharacterSet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getDialect--">getDialect</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getFileName--">getFileName</a></span>()</code>
<div class="block">mbean get-set pair for field fileName
 Get the value of fileName</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getPageSize--">getPageSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getPassword--">getPassword</a></span>()</code>
<div class="block">mbean get-set pair for field password
 Get the value of password</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getPort--">getPort</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getServer--">getServer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getState--">getState</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#getUserName--">getUserName</a></span>()</code>
<div class="block">mbean get-set pair for field userName
 Get the value of userName</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#isCreateOnStart--">isCreateOnStart</a></span>()</code>
<div class="block">mbean get-set pair for field createOnStart
 Get the value of createOnStart</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#isDatabaseExists-java.lang.String-java.lang.String-java.lang.String-">isDatabaseExists</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#isDropOnStop--">isDropOnStop</a></span>()</code>
<div class="block">mbean get-set pair for field dropOnStop
 Get the value of dropOnStop</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#isForceCreate--">isForceCreate</a></span>()</code>
<div class="block">Get the ForceCreate value.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setCreateOnStart-boolean-">setCreateOnStart</a></span>(boolean&nbsp;createOnStart)</code>
<div class="block">Set the value of createOnStart</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setDefaultCharacterSet-java.lang.String-">setDefaultCharacterSet</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdCharsetName)</code>
<div class="block">Set the default database character set.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setDialect-int-">setDialect</a></span>(int&nbsp;dialect)</code>
<div class="block">Sets the dialect.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setDropOnStop-boolean-">setDropOnStop</a></span>(boolean&nbsp;dropOnStop)</code>
<div class="block">Set the value of dropOnStop</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setFileName-java.lang.String-">setFileName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Set the value of fileName</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setForceCreate-boolean-">setForceCreate</a></span>(boolean&nbsp;forceCreate)</code>
<div class="block">Set the ForceCreate value.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setPageSize-int-">setPageSize</a></span>(int&nbsp;pageSize)</code>
<div class="block">Set the page size that will be used for the database.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>
<div class="block">Set the value of password</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setPort-int-">setPort</a></span>(int&nbsp;port)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setServer-java.lang.String-">setServer</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setType-java.lang.String-">setType</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#setUserName-java.lang.String-">setUserName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</code>
<div class="block">Set the value of userName</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#start--">start</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBManager.html#stop--">stop</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBManager</h4>
<pre>public&nbsp;FBManager()</pre>
</li>
</ul>
<a name="FBManager-org.firebirdsql.gds.impl.GDSType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBManager</h4>
<pre>public&nbsp;FBManager(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;type)</pre>
</li>
</ul>
<a name="FBManager-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBManager</h4>
<pre>public&nbsp;FBManager(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="start--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>public&nbsp;void&nbsp;start()
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#start--">start</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="stop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stop</h4>
<pre>public&nbsp;void&nbsp;stop()
          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#stop--">stop</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#close--">FBManagerMBean</a></code></span></div>
<div class="block">Alias for <a href="../../../org/firebirdsql/management/FBManagerMBean.html#stop--"><code>FBManagerMBean.stop()</code></a></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true#close--" title="class or interface in java.lang">close</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#close--">close</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="getState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getState()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getState--">getState</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getName--">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
</dl>
</li>
</ul>
<a name="setServer-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setServer</h4>
<pre>public&nbsp;void&nbsp;setServer(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;host)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setServer-java.lang.String-">setServer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
</dl>
</li>
</ul>
<a name="getServer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getServer</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getServer()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getServer--">getServer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
</dl>
</li>
</ul>
<a name="setPort-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPort</h4>
<pre>public&nbsp;void&nbsp;setPort(int&nbsp;port)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setPort-int-">setPort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
</dl>
</li>
</ul>
<a name="getPort--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPort</h4>
<pre>public&nbsp;int&nbsp;getPort()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getPort--">getPort</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
</dl>
</li>
</ul>
<a name="getFileName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFileName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getFileName--">FBManagerMBean</a></code></span></div>
<div class="block">mbean get-set pair for field fileName
 Get the value of fileName</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getFileName--">getFileName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of fileName</dd>
</dl>
</li>
</ul>
<a name="setFileName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileName</h4>
<pre>public&nbsp;void&nbsp;setFileName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setFileName-java.lang.String-">FBManagerMBean</a></code></span></div>
<div class="block">Set the value of fileName</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setFileName-java.lang.String-">setFileName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileName</code> - Value to assign to fileName</dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getType()</pre>
</li>
</ul>
<a name="setType-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setType</h4>
<pre>public&nbsp;void&nbsp;setType(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;type)</pre>
</li>
</ul>
<a name="getUserName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUserName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getUserName--">FBManagerMBean</a></code></span></div>
<div class="block">mbean get-set pair for field userName
 Get the value of userName</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getUserName--">getUserName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of userName</dd>
</dl>
</li>
</ul>
<a name="setUserName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserName</h4>
<pre>public&nbsp;void&nbsp;setUserName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setUserName-java.lang.String-">FBManagerMBean</a></code></span></div>
<div class="block">Set the value of userName</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setUserName-java.lang.String-">setUserName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userName</code> - Value to assign to userName</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getPassword--">FBManagerMBean</a></code></span></div>
<div class="block">mbean get-set pair for field password
 Get the value of password</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getPassword--">getPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of password</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setPassword-java.lang.String-">FBManagerMBean</a></code></span></div>
<div class="block">Set the value of password</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setPassword-java.lang.String-">setPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - Value to assign to password</dd>
</dl>
</li>
</ul>
<a name="setDialect-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDialect</h4>
<pre>public&nbsp;void&nbsp;setDialect(int&nbsp;dialect)</pre>
<div class="block">Sets the dialect.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dialect</code> - Database dialect (1 or 3)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if value is not 1 or 3</dd>
</dl>
</li>
</ul>
<a name="getDialect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDialect</h4>
<pre>public&nbsp;int&nbsp;getDialect()</pre>
</li>
</ul>
<a name="setPageSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPageSize</h4>
<pre>public&nbsp;void&nbsp;setPageSize(int&nbsp;pageSize)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setPageSize-int-">FBManagerMBean</a></code></span></div>
<div class="block">Set the page size that will be used for the database. The value for <code>pageSize</code> must be one
 of <a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><code>PageSizeConstants</code></a>. The default value depends on the Firebird version.
 <p>
 Some values are not valid on all Firebird versions.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setPageSize-int-">setPageSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pageSize</code> - The page size to be used in the created database, see <a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><code>PageSizeConstants</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/management/PageSizeConstants.html" title="class in org.firebirdsql.management"><code>PageSizeConstants</code></a></dd>
</dl>
</li>
</ul>
<a name="getPageSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPageSize</h4>
<pre>public&nbsp;int&nbsp;getPageSize()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getPageSize--">getPageSize</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The page size to be used when creating a database, or <code>-1</code> if the database default is used.</dd>
</dl>
</li>
</ul>
<a name="setDefaultCharacterSet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultCharacterSet</h4>
<pre>public&nbsp;void&nbsp;setDefaultCharacterSet(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firebirdCharsetName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setDefaultCharacterSet-java.lang.String-">FBManagerMBean</a></code></span></div>
<div class="block">Set the default database character set.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setDefaultCharacterSet-java.lang.String-">setDefaultCharacterSet</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firebirdCharsetName</code> - Character set name, use Firebird names only; <code>null</code> will use Firebird default (<code>NONE</code>).
         Specifying an invalid name will result in an exception during database creation.</dd>
</dl>
</li>
</ul>
<a name="getDefaultCharacterSet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultCharacterSet</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getDefaultCharacterSet()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#getDefaultCharacterSet--">getDefaultCharacterSet</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The default character set name, <code>null</code> means not set.</dd>
</dl>
</li>
</ul>
<a name="isCreateOnStart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCreateOnStart</h4>
<pre>public&nbsp;boolean&nbsp;isCreateOnStart()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#isCreateOnStart--">FBManagerMBean</a></code></span></div>
<div class="block">mbean get-set pair for field createOnStart
 Get the value of createOnStart</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#isCreateOnStart--">isCreateOnStart</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of createOnStart</dd>
</dl>
</li>
</ul>
<a name="setCreateOnStart-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCreateOnStart</h4>
<pre>public&nbsp;void&nbsp;setCreateOnStart(boolean&nbsp;createOnStart)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setCreateOnStart-boolean-">FBManagerMBean</a></code></span></div>
<div class="block">Set the value of createOnStart</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setCreateOnStart-boolean-">setCreateOnStart</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>createOnStart</code> - Value to assign to createOnStart</dd>
</dl>
</li>
</ul>
<a name="isDropOnStop--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDropOnStop</h4>
<pre>public&nbsp;boolean&nbsp;isDropOnStop()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#isDropOnStop--">FBManagerMBean</a></code></span></div>
<div class="block">mbean get-set pair for field dropOnStop
 Get the value of dropOnStop</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#isDropOnStop--">isDropOnStop</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value of dropOnStop</dd>
</dl>
</li>
</ul>
<a name="setDropOnStop-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDropOnStop</h4>
<pre>public&nbsp;void&nbsp;setDropOnStop(boolean&nbsp;dropOnStop)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setDropOnStop-boolean-">FBManagerMBean</a></code></span></div>
<div class="block">Set the value of dropOnStop</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setDropOnStop-boolean-">setDropOnStop</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dropOnStop</code> - Value to assign to dropOnStop</dd>
</dl>
</li>
</ul>
<a name="isForceCreate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isForceCreate</h4>
<pre>public&nbsp;boolean&nbsp;isForceCreate()</pre>
<div class="block">Get the ForceCreate value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#isForceCreate--">isForceCreate</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the ForceCreate value.</dd>
</dl>
</li>
</ul>
<a name="setForceCreate-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForceCreate</h4>
<pre>public&nbsp;void&nbsp;setForceCreate(boolean&nbsp;forceCreate)</pre>
<div class="block">Set the ForceCreate value.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#setForceCreate-boolean-">setForceCreate</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>forceCreate</code> - The new ForceCreate value.</dd>
</dl>
</li>
</ul>
<a name="createDatabase-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDatabase</h4>
<pre>public&nbsp;void&nbsp;createDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#createDatabase-java.lang.String-java.lang.String-java.lang.String-">createDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="dropDatabase-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dropDatabase</h4>
<pre>public&nbsp;void&nbsp;dropDatabase(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#dropDatabase-java.lang.String-java.lang.String-java.lang.String-">dropDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
<a name="isDatabaseExists-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isDatabaseExists</h4>
<pre>public&nbsp;boolean&nbsp;isDatabaseExists(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;user,
                                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/FBManagerMBean.html#isDatabaseExists-java.lang.String-java.lang.String-java.lang.String-">isDatabaseExists</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management">FBManagerMBean</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBMaintenanceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBManagerMBean.html" title="interface in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBManager.html" target="_top">Frames</a></li>
<li><a href="FBManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
